#
# spec file for package rubygem-kramdown
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-kramdown
Version:        2.4.0
Release:        1.18
%define mod_name kramdown
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://kramdown.gettalong.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        kramdown is a fast, pure-Ruby Markdown-superset converter
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
kramdown is yet-another-markdown-parser but fast, pure Ruby,
using a strict syntax definition and supporting several common extensions.

%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --symlink-binaries \
  --doc-files="COPYING README.md" \
  -f

%gem_packages

%changelog
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.0
  no changelog found
* Mon Mar 29 2021 Marcus Rueckert <mrueckert@suse.de>
- updated to version 2.3.1 CVE-2021-28834
  - 2 minor change:
  - Added rel="footnote" to footnote links (fixes #706 by
    xplosionmind)
  - Default options are now cached to avoid unnecessary
    computations (fixes #685 by Aswhin Maroli)
  - 6 bug fixes:
  - Fixed abbreviations handling so that they won’t be replaced
    in raw HTML tags (fixes #671 by Kaspar Etter)
  - Restricted Rouge formatters to Rouge::Formatters namespace
    (pull request #708 by Stan Hu)
  - Fixed conversion of empty raw html td/th tags to kramdown
    (fixes issue #682 by Virgil Ierubino)
  - Fixed LaTeX entity conversion (pull request #681 by aschmitz)
  - Fixed missing block attributes from IAL on standalone images
    (pull request #668 by Tobin Yehle)
  - Fixed inconsistency in how empty code spans are handle (fixes
    [#704] by cabo)
  - 4 other change:
  - Test on Ruby 2.7 and Ruby 3.0 (pull request #696 by timcraft)
  - Fix rouge test failures due to new syntax (fixes issue #689
    by Daniel Leidert)
  - Clarified requirements for rouge option ‘formatter’ (fixes
    issue #617 by Aswhin Maroli)
  - Removed warning in setup.rb (pull request #673 by Daniel
    Bair)
* Tue Aug 11 2020 Matthew Trescott <matthewtrescott@gmail.com>
- updated to version 2.3.0
  [#]# kramdown 2.3.0 released
  Although this is a minor version bump there is **one breaking change**: Parsing of XML processing
  instructions was removed because they are invalid for HTML5 documents.
  This change should only affect a negligible amount of existing kramdown documents since XML
  processing instructions were never something a normal user would use.
  Additionally, CVE-2020-14001 is addressed to avoid problems when using the `{::options /}` extension
  together with the 'template' option. **This means updating is highly recommended!**
  [#]# Changes
  * 2 major changes:
  - New option 'forbidden_inline_options' to restrict the options allowed with the `{::options /}`
    extension. This also addresses the security issue described in [CVE-2020-14001].
  - Parsing of XML processing instructions is not done anymore for kramdown documents because they
    are invalid for HTML5 (fixes issue [#660] by Samuel Williams)
  * 1 minor change:
  - Several internal changes with respect to memory usage and performance (PRs [#654], [#655],
    [#665] by Ashwin Maroli)
  * 2 bug fixes:
  - Extend allowed characters in IDs set with headers to all characters allowed by XML (fixes [#658]
    by Samuel Williams)
  - Fix thread safety issue by moving global state into an instance variable (fixes [#663]
    by Samuel Williams)
  * 1 other change:
  - Documentation fixes and updates (issue [#662] by Samuel Williams, PR [#656] by Noah Doersing)
  [#658]: https://github.com/gettalong/kramdown/issues/658
  [#663]: https://github.com/gettalong/kramdown/issues/663
  [#662]: https://github.com/gettalong/kramdown/issues/662
  [#660]: https://github.com/gettalong/kramdown/issues/660
  [#654]: https://github.com/gettalong/kramdown/pull/654
  [#655]: https://github.com/gettalong/kramdown/pull/655
  [#656]: https://github.com/gettalong/kramdown/pull/656
  [#665]: https://github.com/gettalong/kramdown/pull/665
  [CVE-2020-14001]: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14001
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.1
  no changelog found
* Tue Mar  5 2019 Marcus Rueckert <mrueckert@suse.de>
- disable ruby < 2.5
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.1.0
  news.feed removed upstream
* Thu May 31 2018 factory-auto@kulow.org
- updated to version 1.17.0
  see installed news.page
* Sun Dec  3 2017 coolo@suse.com
- updated to version 1.16.2
  see installed news.feed
* Mon Sep 11 2017 coolo@suse.com
- updated to version 1.15.0
  see installed news.feed
* Thu Aug  3 2017 coolo@suse.com
- updated to version 1.14.0
  see installed news.feed
* Sun Jan  8 2017 coolo@suse.com
- updated to version 1.13.2
  see installed news.feed
* Fri Dec  9 2016 coolo@suse.com
- updated to version 1.13.1
  see installed news.feed
* Mon Nov 21 2016 coolo@suse.com
- updated to version 1.13.0
  see installed news.feed
* Tue Aug 16 2016 coolo@suse.com
- updated to version 1.12.0
  see installed news.feed
* Mon May  2 2016 coolo@suse.com
- updated to version 1.11.1
  see installed news.feed
* Thu Mar  3 2016 coolo@suse.com
- updated to version 1.10.0
  see installed news.page
* Fri Oct  2 2015 coolo@suse.com
- updated to version 1.9.0
  see installed news.feed
* Sun Jul  5 2015 coolo@suse.com
- updated to version 1.8.0
  see installed news.feed
* Tue Apr 28 2015 coolo@suse.com
- updated to version 1.7.0
  see installed news.feed
* Sun Mar  1 2015 coolo@suse.com
- updated to version 1.6.0
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.5.0
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme
* Fri Mar 21 2014 coolo@suse.com
- updated to version 1.3.3
* Sat Feb 22 2014 coolo@suse.com
- updated to version 1.3.2
* Thu Feb  6 2014 coolo@suse.com
- updated to version 1.3.1
* Mon Dec  9 2013 coolo@suse.com
- updated to version 1.3.0
* Tue Sep  3 2013 coolo@suse.com
- updated to version 1.2.0
* Wed Jul 31 2013 coolo@suse.com
- updated to version 1.1.0
* Fri May 24 2013 coolo@suse.com
- updated to version 1.0.2
* Sun Apr 14 2013 coolo@suse.com
- updated to version 1.0.1
* Thu Jan 24 2013 coolo@suse.com
- updated to version 0.14.2
* Sat Dec  1 2012 coolo@suse.com
- updated to version 0.14.1, the changelog is the git log...
* Mon Sep 24 2012 coolo@suse.com
- updated to version 0.14.0, the changelog is the git log...
* Sat Sep  1 2012 coolo@suse.com
- updated to version 0.13.8
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.13.7
* Sun Sep 18 2011 mrueckert@suse.de
- initial package
